<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.LimitTargetPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.line.LimitTargetPO">
    <!--@mbg.generated-->
    <!--@Table limit_target-->
    <id column="line_id" property="lineId" />
    <id column="phasic_type" property="phasicType" />
    <id column="time" property="time" />
    <result column="all_time" property="allTime" />
    <result column="flicker_overtime" property="flickerOvertime" />
    <result column="flicker_all_time" property="flickerAllTime" />
    <result column="freq_dev_overtime" property="freqDevOvertime" />
    <result column="voltage_dev_overtime" property="voltageDevOvertime" />
    <result column="ubalance_overtime" property="ubalanceOvertime" />
    <result column="uaberrance_overtime" property="uaberranceOvertime" />
    <result column="i_neg_overtime" property="iNegOvertime" />
    <result column="uharm_2_overtime" property="uharm2Overtime" />
    <result column="uharm_3_overtime" property="uharm3Overtime" />
    <result column="uharm_4_overtime" property="uharm4Overtime" />
    <result column="uharm_5_overtime" property="uharm5Overtime" />
    <result column="uharm_6_overtime" property="uharm6Overtime" />
    <result column="uharm_7_overtime" property="uharm7Overtime" />
    <result column="uharm_8_overtime" property="uharm8Overtime" />
    <result column="uharm_9_overtime" property="uharm9Overtime" />
    <result column="uharm_10_overtime" property="uharm10Overtime" />
    <result column="uharm_11_overtime" property="uharm11Overtime" />
    <result column="uharm_12_overtime" property="uharm12Overtime" />
    <result column="uharm_13_overtime" property="uharm13Overtime" />
    <result column="uharm_14_overtime" property="uharm14Overtime" />
    <result column="uharm_15_overtime" property="uharm15Overtime" />
    <result column="uharm_16_overtime" property="uharm16Overtime" />
    <result column="uharm_17_overtime" property="uharm17Overtime" />
    <result column="uharm_18_overtime" property="uharm18Overtime" />
    <result column="uharm_19_overtime" property="uharm19Overtime" />
    <result column="uharm_20_overtime" property="uharm20Overtime" />
    <result column="uharm_21_overtime" property="uharm21Overtime" />
    <result column="uharm_22_overtime" property="uharm22Overtime" />
    <result column="uharm_23_overtime" property="uharm23Overtime" />
    <result column="uharm_24_overtime" property="uharm24Overtime" />
    <result column="uharm_25_overtime" property="uharm25Overtime" />
    <result column="iharm_2_overtime" property="iharm2Overtime" />
    <result column="iharm_3_overtime" property="iharm3Overtime" />
    <result column="iharm_4_overtime" property="iharm4Overtime" />
    <result column="iharm_5_overtime" property="iharm5Overtime" />
    <result column="iharm_6_overtime" property="iharm6Overtime" />
    <result column="iharm_7_overtime" property="iharm7Overtime" />
    <result column="iharm_8_overtime" property="iharm8Overtime" />
    <result column="iharm_9_overtime" property="iharm9Overtime" />
    <result column="iharm_10_overtime" property="iharm10Overtime" />
    <result column="iharm_11_overtime" property="iharm11Overtime" />
    <result column="iharm_12_overtime" property="iharm12Overtime" />
    <result column="iharm_13_overtime" property="iharm13Overtime" />
    <result column="iharm_14_overtime" property="iharm14Overtime" />
    <result column="iharm_15_overtime" property="iharm15Overtime" />
    <result column="iharm_16_overtime" property="iharm16Overtime" />
    <result column="iharm_17_overtime" property="iharm17Overtime" />
    <result column="iharm_18_overtime" property="iharm18Overtime" />
    <result column="iharm_19_overtime" property="iharm19Overtime" />
    <result column="iharm_20_overtime" property="iharm20Overtime" />
    <result column="iharm_21_overtime" property="iharm21Overtime" />
    <result column="iharm_22_overtime" property="iharm22Overtime" />
    <result column="iharm_23_overtime" property="iharm23Overtime" />
    <result column="iharm_24_overtime" property="iharm24Overtime" />
    <result column="iharm_25_overtime" property="iharm25Overtime" />
    <result column="inuharm_1_overtime" property="inuharm1Overtime" />
    <result column="inuharm_2_overtime" property="inuharm2Overtime" />
    <result column="inuharm_3_overtime" property="inuharm3Overtime" />
    <result column="inuharm_4_overtime" property="inuharm4Overtime" />
    <result column="inuharm_5_overtime" property="inuharm5Overtime" />
    <result column="inuharm_6_overtime" property="inuharm6Overtime" />
    <result column="inuharm_7_overtime" property="inuharm7Overtime" />
    <result column="inuharm_8_overtime" property="inuharm8Overtime" />
    <result column="inuharm_9_overtime" property="inuharm9Overtime" />
    <result column="inuharm_10_overtime" property="inuharm10Overtime" />
    <result column="inuharm_11_overtime" property="inuharm11Overtime" />
    <result column="inuharm_12_overtime" property="inuharm12Overtime" />
    <result column="inuharm_13_overtime" property="inuharm13Overtime" />
    <result column="inuharm_14_overtime" property="inuharm14Overtime" />
    <result column="inuharm_15_overtime" property="inuharm15Overtime" />
    <result column="inuharm_16_overtime" property="inuharm16Overtime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    line_id, phasic_type, `time`, all_time, flicker_overtime, flicker_all_time, freq_dev_overtime, 
    voltage_dev_overtime, ubalance_overtime, uaberrance_overtime, i_neg_overtime, uharm_2_overtime, 
    uharm_3_overtime, uharm_4_overtime, uharm_5_overtime, uharm_6_overtime, uharm_7_overtime, 
    uharm_8_overtime, uharm_9_overtime, uharm_10_overtime, uharm_11_overtime, uharm_12_overtime, 
    uharm_13_overtime, uharm_14_overtime, uharm_15_overtime, uharm_16_overtime, uharm_17_overtime, 
    uharm_18_overtime, uharm_19_overtime, uharm_20_overtime, uharm_21_overtime, uharm_22_overtime, 
    uharm_23_overtime, uharm_24_overtime, uharm_25_overtime, iharm_2_overtime, iharm_3_overtime, 
    iharm_4_overtime, iharm_5_overtime, iharm_6_overtime, iharm_7_overtime, iharm_8_overtime, 
    iharm_9_overtime, iharm_10_overtime, iharm_11_overtime, iharm_12_overtime, iharm_13_overtime, 
    iharm_14_overtime, iharm_15_overtime, iharm_16_overtime, iharm_17_overtime, iharm_18_overtime, 
    iharm_19_overtime, iharm_20_overtime, iharm_21_overtime, iharm_22_overtime, iharm_23_overtime, 
    iharm_24_overtime, iharm_25_overtime, inuharm_1_overtime, inuharm_2_overtime, inuharm_3_overtime, 
    inuharm_4_overtime, inuharm_5_overtime, inuharm_6_overtime, inuharm_7_overtime, inuharm_8_overtime, 
    inuharm_9_overtime, inuharm_10_overtime, inuharm_11_overtime, inuharm_12_overtime, 
    inuharm_13_overtime, inuharm_14_overtime, inuharm_15_overtime, inuharm_16_overtime
  </sql>
  <update id="updateBatch" parameterType="java.util.List">
    <!--@mbg.generated-->
    update limit_target
    <trim prefix="set" suffixOverrides=",">
      <trim prefix="all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.allTime}
        </foreach>
      </trim>
      <trim prefix="flicker_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.flickerOvertime}
        </foreach>
      </trim>
      <trim prefix="flicker_all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.flickerAllTime}
        </foreach>
      </trim>
      <trim prefix="freq_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.freqDevOvertime}
        </foreach>
      </trim>
      <trim prefix="voltage_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.voltageDevOvertime}
        </foreach>
      </trim>
      <trim prefix="ubalance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.ubalanceOvertime}
        </foreach>
      </trim>
      <trim prefix="uaberrance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uaberranceOvertime}
        </foreach>
      </trim>
      <trim prefix="i_neg_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iNegOvertime}
        </foreach>
      </trim>
      <trim prefix="uharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm2Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm3Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm4Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm5Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm6Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm7Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm8Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm9Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm10Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm11Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm12Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm13Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm14Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm15Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm16Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm17Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm18Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm19Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm20Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm21Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm22Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm23Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm24Overtime}
        </foreach>
      </trim>
      <trim prefix="uharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.uharm25Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm2Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm3Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm4Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm5Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm6Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm7Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm8Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm9Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm10Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm11Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm12Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm13Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm14Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm15Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm16Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm17Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm18Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm19Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm20Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm21Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm22Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm23Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm24Overtime}
        </foreach>
      </trim>
      <trim prefix="iharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.iharm25Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_1_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm1Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm2Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm3Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm4Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm5Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm6Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm7Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm8Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm9Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm10Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm11Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm12Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm13Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm14Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm15Overtime}
        </foreach>
      </trim>
      <trim prefix="inuharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          when line_id = #{item.lineId} then #{item.inuharm16Overtime}
        </foreach>
      </trim>
    </trim>
    where line_id in
    <foreach close=")" collection="list" item="item" open="(" separator=", ">
      #{item.lineId}
    </foreach>
  </update>
  <update id="updateBatchSelective" parameterType="java.util.List">
    <!--@mbg.generated-->
    update limit_target
    <trim prefix="set" suffixOverrides=",">
      <trim prefix="all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.allTime != null">
            when line_id = #{item.lineId} then #{item.allTime}
          </if>
        </foreach>
      </trim>
      <trim prefix="flicker_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.flickerOvertime != null">
            when line_id = #{item.lineId} then #{item.flickerOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="flicker_all_time = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.flickerAllTime != null">
            when line_id = #{item.lineId} then #{item.flickerAllTime}
          </if>
        </foreach>
      </trim>
      <trim prefix="freq_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.freqDevOvertime != null">
            when line_id = #{item.lineId} then #{item.freqDevOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="voltage_dev_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.voltageDevOvertime != null">
            when line_id = #{item.lineId} then #{item.voltageDevOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="ubalance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.ubalanceOvertime != null">
            when line_id = #{item.lineId} then #{item.ubalanceOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uaberrance_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uaberranceOvertime != null">
            when line_id = #{item.lineId} then #{item.uaberranceOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="i_neg_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iNegOvertime != null">
            when line_id = #{item.lineId} then #{item.iNegOvertime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm2Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm2Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm3Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm3Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm4Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm4Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm5Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm5Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm6Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm6Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm7Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm7Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm8Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm8Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm9Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm9Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm10Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm10Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm11Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm11Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm12Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm12Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm13Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm13Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm14Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm14Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm15Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm15Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm16Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm16Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm17Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm17Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm18Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm18Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm19Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm19Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm20Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm20Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm21Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm21Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm22Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm22Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm23Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm23Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm24Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm24Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="uharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.uharm25Overtime != null">
            when line_id = #{item.lineId} then #{item.uharm25Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm2Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm2Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm3Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm3Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm4Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm4Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm5Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm5Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm6Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm6Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm7Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm7Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm8Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm8Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm9Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm9Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm10Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm10Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm11Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm11Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm12Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm12Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm13Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm13Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm14Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm14Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm15Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm15Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm16Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm16Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_17_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm17Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm17Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_18_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm18Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm18Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_19_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm19Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm19Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_20_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm20Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm20Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_21_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm21Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm21Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_22_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm22Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm22Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_23_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm23Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm23Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_24_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm24Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm24Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="iharm_25_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.iharm25Overtime != null">
            when line_id = #{item.lineId} then #{item.iharm25Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_1_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm1Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm1Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_2_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm2Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm2Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_3_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm3Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm3Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_4_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm4Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm4Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_5_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm5Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm5Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_6_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm6Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm6Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_7_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm7Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm7Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_8_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm8Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm8Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_9_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm9Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm9Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_10_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm10Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm10Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_11_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm11Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm11Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_12_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm12Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm12Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_13_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm13Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm13Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_14_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm14Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm14Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_15_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm15Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm15Overtime}
          </if>
        </foreach>
      </trim>
      <trim prefix="inuharm_16_overtime = case" suffix="end,">
        <foreach collection="list" index="index" item="item">
          <if test="item.inuharm16Overtime != null">
            when line_id = #{item.lineId} then #{item.inuharm16Overtime}
          </if>
        </foreach>
      </trim>
    </trim>
    where line_id in
    <foreach close=")" collection="list" item="item" open="(" separator=", ">
      #{item.lineId}
    </foreach>
  </update>
  <insert id="batchInsert" parameterType="map">
    <!--@mbg.generated-->
    insert into limit_target
    (line_id, phasic_type, `time`, all_time, flicker_overtime, flicker_all_time, freq_dev_overtime, 
      voltage_dev_overtime, ubalance_overtime, uaberrance_overtime, i_neg_overtime, uharm_2_overtime, 
      uharm_3_overtime, uharm_4_overtime, uharm_5_overtime, uharm_6_overtime, uharm_7_overtime, 
      uharm_8_overtime, uharm_9_overtime, uharm_10_overtime, uharm_11_overtime, uharm_12_overtime, 
      uharm_13_overtime, uharm_14_overtime, uharm_15_overtime, uharm_16_overtime, uharm_17_overtime, 
      uharm_18_overtime, uharm_19_overtime, uharm_20_overtime, uharm_21_overtime, uharm_22_overtime, 
      uharm_23_overtime, uharm_24_overtime, uharm_25_overtime, iharm_2_overtime, iharm_3_overtime, 
      iharm_4_overtime, iharm_5_overtime, iharm_6_overtime, iharm_7_overtime, iharm_8_overtime, 
      iharm_9_overtime, iharm_10_overtime, iharm_11_overtime, iharm_12_overtime, iharm_13_overtime, 
      iharm_14_overtime, iharm_15_overtime, iharm_16_overtime, iharm_17_overtime, iharm_18_overtime, 
      iharm_19_overtime, iharm_20_overtime, iharm_21_overtime, iharm_22_overtime, iharm_23_overtime, 
      iharm_24_overtime, iharm_25_overtime, inuharm_1_overtime, inuharm_2_overtime, inuharm_3_overtime, 
      inuharm_4_overtime, inuharm_5_overtime, inuharm_6_overtime, inuharm_7_overtime, 
      inuharm_8_overtime, inuharm_9_overtime, inuharm_10_overtime, inuharm_11_overtime, 
      inuharm_12_overtime, inuharm_13_overtime, inuharm_14_overtime, inuharm_15_overtime, 
      inuharm_16_overtime)
    values
    <foreach collection="list" item="item" separator=",">
      (#{item.lineId}, #{item.phasicType}, #{item.time}, #{item.allTime}, #{item.flickerOvertime}, 
        #{item.flickerAllTime}, #{item.freqDevOvertime}, #{item.voltageDevOvertime}, #{item.ubalanceOvertime}, 
        #{item.uaberranceOvertime}, #{item.iNegOvertime}, #{item.uharm2Overtime}, #{item.uharm3Overtime}, 
        #{item.uharm4Overtime}, #{item.uharm5Overtime}, #{item.uharm6Overtime}, #{item.uharm7Overtime}, 
        #{item.uharm8Overtime}, #{item.uharm9Overtime}, #{item.uharm10Overtime}, #{item.uharm11Overtime}, 
        #{item.uharm12Overtime}, #{item.uharm13Overtime}, #{item.uharm14Overtime}, #{item.uharm15Overtime}, 
        #{item.uharm16Overtime}, #{item.uharm17Overtime}, #{item.uharm18Overtime}, #{item.uharm19Overtime}, 
        #{item.uharm20Overtime}, #{item.uharm21Overtime}, #{item.uharm22Overtime}, #{item.uharm23Overtime}, 
        #{item.uharm24Overtime}, #{item.uharm25Overtime}, #{item.iharm2Overtime}, #{item.iharm3Overtime}, 
        #{item.iharm4Overtime}, #{item.iharm5Overtime}, #{item.iharm6Overtime}, #{item.iharm7Overtime}, 
        #{item.iharm8Overtime}, #{item.iharm9Overtime}, #{item.iharm10Overtime}, #{item.iharm11Overtime}, 
        #{item.iharm12Overtime}, #{item.iharm13Overtime}, #{item.iharm14Overtime}, #{item.iharm15Overtime}, 
        #{item.iharm16Overtime}, #{item.iharm17Overtime}, #{item.iharm18Overtime}, #{item.iharm19Overtime}, 
        #{item.iharm20Overtime}, #{item.iharm21Overtime}, #{item.iharm22Overtime}, #{item.iharm23Overtime}, 
        #{item.iharm24Overtime}, #{item.iharm25Overtime}, #{item.inuharm1Overtime}, #{item.inuharm2Overtime}, 
        #{item.inuharm3Overtime}, #{item.inuharm4Overtime}, #{item.inuharm5Overtime}, #{item.inuharm6Overtime}, 
        #{item.inuharm7Overtime}, #{item.inuharm8Overtime}, #{item.inuharm9Overtime}, #{item.inuharm10Overtime}, 
        #{item.inuharm11Overtime}, #{item.inuharm12Overtime}, #{item.inuharm13Overtime}, 
        #{item.inuharm14Overtime}, #{item.inuharm15Overtime}, #{item.inuharm16Overtime}
        )
    </foreach>
  </insert>
</mapper>